Package pyxmpp :: Package sasl :: Module plain :: Class PlainClientAuthenticator

[hide private]

# Class PlainClientAuthenticator

source code

    core.ClientAuthenticator --+
                               |
                              PlainClientAuthenticator

Provides PLAIN SASL authentication for a client.

Instance Methods | [hide private]

__init__(self, password_manager) Initialize a PlainClientAuthenticator object. | source code

sasl.Response or sasl.Failure

start(self, username, authzid) Start the authentication process and return the initial response. | source code

sasl.Response or sasl.Failure

challenge(self, challenge) Process the challenge and return the response. | source code

Success

finish(self, data) Handle authentication succes information from the server. | source code

Method Details | [hide private]

### __init__(self, password_manager)
(Constructor)

source code

Initialize a PlainClientAuthenticator object.

Parameters:
  - `password_manager` (: PasswordManager) - : name of the password manager object providing authentication credentials.
Overrides: core.ClientAuthenticator.__init__

### start(self, username, authzid)

source code

Start the authentication process and return the initial response.

Parameters:
  - `username` (: `unicode`) - : username (authentication id).
  - `authzid` (: `unicode`) - : authorization id.
Returns: sasl.Response or sasl.Failure
  the initial response or a failure indicator.
Overrides: core.ClientAuthenticator.start

### challenge(self, challenge)

source code

Process the challenge and return the response.

Parameters:
  - `challenge` (: `str`) - : the challenge.
Returns: sasl.Response or sasl.Failure
  the response or a failure indicator.
Overrides: core.ClientAuthenticator.challenge

### finish(self, data)

source code

Handle authentication succes information from the server.

Parameters:
  - `data` (: `str`) - : the optional additional data returned with the success.
Returns: Success
  a success indicator.
Overrides: core.ClientAuthenticator.finish